Package ru.bitel.bgbilling.modules.hd.server.bean

# Class ContractPackage

java.lang.Object
ru.bitel.bgbilling.modules.hd.server.bean.ContractPackage

    public class ContractPackage
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractPackage()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAdminComment()` |
  `java.lang.String` | `getContractComment()` |
  `int` | `getContractId()` |
  `java.lang.String` | `getContractTitle()` |
  `java.util.Calendar` | `getDate1()` |
  `java.util.Calendar` | `getDate2()` |
  `int` | `getId()` |
  `java.lang.String` | `getNsDomain()` |
  `int` | `getPackageId()` |
  `java.lang.String` | `getPackageTitle()` |
  `int` | `getStatus()` |
  `void` | `setAdminComment​(java.lang.String adminComment)` |
  `void` | `setContractComment​(java.lang.String contractComment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setContractTitle​(java.lang.String contractTitle)` |
  `void` | `setDate1​(java.util.Calendar date1)` |
  `void` | `setDate2​(java.util.Calendar date2)` |
  `void` | `setId​(int id)` |
  `void` | `setNsDomain​(java.lang.String nsDomain)` |
  `void` | `setPackageId​(int serviceId)` |
  `void` | `setPackageTitle​(java.lang.String serviceTitle)` |
  `void` | `setStatus​(int status)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractPackage

    public ContractPackage()

- ## Method Details

  - ### getAdminComment

    public java.lang.String getAdminComment()

  - ### setAdminComment

    public void setAdminComment​(java.lang.String adminComment)

  - ### getDate1

    public java.util.Calendar getDate1()

  - ### setDate1

    public void setDate1​(java.util.Calendar date1)

  - ### getDate2

    public java.util.Calendar getDate2()

  - ### setDate2

    public void setDate2​(java.util.Calendar date2)

  - ### getNsDomain

    public java.lang.String getNsDomain()

  - ### setNsDomain

    public void setNsDomain​(java.lang.String nsDomain)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getPackageId

    public int getPackageId()

  - ### setPackageId

    public void setPackageId​(int serviceId)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus​(int status)

  - ### getPackageTitle

    public java.lang.String getPackageTitle()

  - ### setPackageTitle

    public void setPackageTitle​(java.lang.String serviceTitle)

  - ### getContractTitle

    public java.lang.String getContractTitle()

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)

  - ### getContractComment

    public java.lang.String getContractComment()

  - ### setContractComment

    public void setContractComment​(java.lang.String contractComment)